For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Connection Types
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • GETGet Connection
      • DELDelete Connection
      • PATCHUpdate Connection
      • GETConnection Parameter Values
      • GETGet Connection Source
      • POSTConnection Field Query
      • GETGet Connection Target
      • POSTGet Connection Target Fields
      • POSTCreate Shared Connection
      • GETList Shared Connections
Logo
Log inBook a demo
API ReferenceConnections

Update Connection

PATCH
https://app.polytomic.com/api/connections/:id
PATCH
/api/connections/:id
$curl -X PATCH https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "configuration": {
> "database": "example",
> "hostname": "postgres.example.com",
> "password": "********",
> "port": 5432,
> "username": "user"
> },
> "name": "My Postgres Connection"
>}'
1{
2 "data": {
3 "auth_code": "string",
4 "auth_url": "string",
5 "configuration": {
6 "database": "example",
7 "hostname": "postgres.example.com",
8 "password": "********",
9 "port": 5432,
10 "username": "user"
11 },
12 "healthcheck_interval": "3h30m",
13 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
14 "name": "My Postgres Connection",
15 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
16 "policies": [
17 "248df4b7-aa70-47b8-a036-33ac447e668d"
18 ],
19 "saved": true,
20 "status": "healthy",
21 "status_error": "error message",
22 "type": {
23 "id": "postgresql",
24 "logo_url": "https://connect-assets.polytomic.com/logos/postgresql.svg",
25 "name": "PostgreSQL",
26 "operations": [
27 "bulksyncsource"
28 ]
29 }
30 }
31}
Updates a connection's configuration.
Was this page helpful?
Previous

Connection Parameter Values

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
configurationmap from strings to anyRequired
namestringRequired
healthcheck_intervalstringOptional
Override interval for connection health checking.
organization_idstring or nullOptionalformat: "uuid"
policieslist of strings or nullOptional
reconnectbooleanOptional
typestringOptional
validatebooleanOptionalDefaults to true
Validate connection configuration.

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error